Get table version history
Returns the Delta Lake transaction log for the table, listing each version with its timestamp, operation type, and commit metadata. Use this for audit trails or to select a version for time-travel / rollback. **Required scope:** `tables:read`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/history"[ { "version": 0, "timestamp": 0, "userId": "string", "userName": "string", "operation": "string", "operationParameters": { "property1": null, "property2": null }, "engineInfo": "string", "info": { "property1": null, "property2": null }, "userMetadata": "string" }]{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Drop a table constraint
Removes a named check constraint from the Delta Lake table. The constraint name corresponds to the key used when the constraint was added. **Required scope:** `tables:modify`
Compare two versions of a table
Performs a diff between two Delta Lake table versions, returning rows that were inserted, deleted, or updated. Uses a FULL OUTER JOIN on the primary key columns to identify changes. Similar to a `git diff` for table data. **Required scope:** `tables:read`